///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	udplib.h
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _P25_COMM_UDP_LIB_H
#define _P25_COMM_UDP_LIB_H

#include <netinet/in.h>

/**
 * @brief Starts UDP server.
 */
int start_udp_server(int);

/**
 * @brief Stops UDP server.
 */
void stop_udp_server(int);

/**
 * @brief Reads from UDP server stream.
 */
int read_udp_server_stream(struct sockaddr_in *, int, char *, int);

/**
 * @brief Starts UDP client.
 */
int start_udp_client(struct sockaddr_in *, char *, int);

/**
 * @brief Stops UDP client.
 */
int stop_udp_client(int);

/**
 * @brief Sends data to UDP client.
 */
int send_udp_client_data(struct sockaddr_in *, int, char *, int);

#endif
