///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	bit_manipulate.h
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _P25_FORMAT_BIT_MANIPULATE_H
#define _P25_FORMAT_BIT_MANIPULATE_H

/** @brief Binary to decimal conversion in bit-endian */
int bi2de(char *bits, int len);
/** @brief Decimal to binary conversion in bit-endian */
void de2bi(int dec, char *bits, int len);
/** @brief Reverse order of bits */
void reverse_bits(char *bits, int n);

#endif

