# rules.mk
# Specifies rules to generate obj files  and link them
#
INCLUDES = $(GINCLUDES) $(MINCLUDES)

SRC_C = $(SRC_LST_C:%=$(SRC_DIR)/$(MODULE)/%)
SRC_CPP = $(SRC_LST_CPP:%=$(SRC_DIR)/$(MODULE)/%)
GLIBS_C = $(GLIBS_LST_C:%=$(GLIB_DIR)/%)
GLIBS_CPP = $(GLIBS_LST_CPP:%=$(GLIB_DIR)/%)
MLIBS_C = $(MLIBS_LST_C:%=$(SRC_DIR)/$(MODULE)/$(MLIB_DIR)/%)
MLIBS_CPP = $(MLIBS_LST_CPP:%=$(SRC_DIR)/$(MODULE)/$(MLIB_DIR)/%)

OBJS = $(SRC_C:$(PROJ_DIR)/%.c=$(BUILD_DIR)/%.o) \
	$(SRC_CPP:$(PROJ_DIR)/%.cpp=$(BUILD_DIR)/%.o) \
	$(GLIBS_C:$(PROJ_DIR)/%.c=$(BUILD_DIR)/%.o) \
	$(GLIBS_CPP:$(PROJ_DIR)/%.cpp=$(BUILD_DIR)/%.o) \
	$(MLIBS_C:$(PROJ_DIR)/%.c=$(BUILD_DIR)/%.o) \
	$(MLIBS_CPP:$(PROJ_DIR)/%.cpp=$(BUILD_DIR)/%.o)

$(EXECUTABLE): $(OBJS)	
	@echo Linking $@ ...
	@mkdir -p $(BIN_DIR)
	$(CC) $(CFLAGS) $(DBGFLAGS) $(INCLUDES) -o $(BIN_DIR)/$(EXECUTABLE) $(OBJS) $(LFLAGS) $(LIBS)
	@echo
	@echo SUCCESSFULLY COMPILED $@!

$(BUILD_DIR)/%.o: $(PROJ_DIR)/%.cpp
	@echo Compiling $< ...
	@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) $(DBGFLAGS) $(INCLUDES) -c $< -o $@
	@echo

$(BUILD_DIR)/%.o: $(PROJ_DIR)/%.c
	@echo Compiling $< ...
	@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) $(DBGFLAGS) $(INCLUDES) -c $< -o $@
	@echo

.PHONY: clean

clean:
	$(RM) -rf $(BUILD_DIR) $(BIN_DIR)/$(EXECUTABLE)
