#ifndef _DSP_PRINT
#define _DSP_PRINT

#define ADDR_DPRINTF_LEN	0x80010000
#define ADDR_DPRINTF_DATA	0x80020000
#define DPRINTF_LEN_MAX		0x00fe0000

#ifdef _DSP

void dprintf_start(void);
void dprintf_stop(void);

void dprintf(const char *fmt, ...);

#define ERROR	dprintf

#ifdef _DEBUG

#define DDBG	dprintf

static inline void dump(char *data, int len)
{
	int i;
	unsigned char *d = (unsigned char *)data;

	if (len == 0)
		return;

	dprintf("%02hx ", d[0]); 
 	for (i = 1; i < len; i++) { 
 		if ((i % 8) == 0) 
 			dprintf(" "); 
 		if ((i % 16) == 0) 
 			dprintf("\n"); 
 		dprintf("%02hx ", d[i]); 
 	} 
	dprintf("\n");
}

#else /* _DEBUG */

#define DDBG	

static inline void dump(char *data, int len) {}

#endif /* _DEBUG */

#endif /* _DSP */

#endif
