#!/bin/bash
# gpp_loopback.sh:  USRP P25 Demo startup script (GPP Loopback Test Mode)
#                   Authors:  Jeffrey Cuenco   (jcuenco@ucsd.edu)
#                             Anthony Nwokafor (aanwokafor@ucsd.edu)
#
#                   Script last modified 04/22/2011
#

RUN_DIR=run
MPATH=../..
JAVA_GUI=../$MPATH/java_audio/p25_client/dist/p25_client.jar
RADIO_GPP=$MPATH/bin/packetizer

VC55_SERIAL_PORT=/dev/ttyUSB0

# Filetest mode = 1, Live mode (VC55) = 2
GPP_MODE=1

# Radio 1 settings
VC_INPUT1=$VC55_SERIAL_PORT
VC_OUTPUT1=/dev/null
if [ $GPP_MODE == "1" ]
then
    VC_INPUT1=testfile1_tx.dat
    VC_OUTPUT1=testfile1_rx.dat
fi

# Radio 2 settings
VC_INPUT2=/dev/null
VC_OUTPUT2=/dev/null
if [ $GPP_MODE == "1" ]
then
    VC_INPUT2=testfile2_tx.dat
    VC_OUTPUT2=testfile2_rx.dat
fi


killall xterm 
killall `basename $RADIO_GPP`

if [ ! -d $RUN_DIR ]
then
	mkdir -p $RUN_DIR
fi

cd $RUN_DIR

echo -n "Starting radio1 ..."
#xterm -hold -e "$RADIO_GPP $VC_INPUT1 $VC_OUTPUT1 8002 dsp0_dsp1_sock dsp1_dsp0_sock c1sock 1 > radio1_log" &
xterm -hold -e "$RADIO_GPP $VC_INPUT1 $VC_OUTPUT1 8002 dsp0_dsp1_sock dsp1_dsp0_sock c1sock 1" &
java -jar $JAVA_GUI &

sleep 1

echo -n "Starting radio2 ..."
#xterm -hold -e "$RADIO_GPP $VC_INPUT2 $VC_OUTPUT2 8004 dsp1_dsp0_sock dsp0_dsp1_sock c2sock 1 > radio2_log" &
xterm -hold -e "$RADIO_GPP $VC_INPUT2 $VC_OUTPUT2 8004 dsp1_dsp0_sock dsp0_dsp1_sock c2sock 1" &
java -jar $JAVA_GUI &

