/****************************************************************************** 
 
     Name:  ham.h 
   Author:  LeCocq 
     Date:  7/28/93 
  History:  6/28/93  New 
            7/28/93  Revised by ALW to compile on HP 
            5/20/09  Modified for Calit2 APCO25 build by Jeff Cuenco
 
This module declares two functions: 
    hamming_10_encode ( word )    encodes (10, 6,3) shortened Hamming code 
    hamming_15_encode ( word )    encodes (15,11,3) standard  Hamming code 
The functions return a long int value that is 18, 23, or 24 bits long 
for the respective function. 
 
******************************************************************************/ 
 
#ifndef _P25_ECC_HAM_H 
 
#define _P25_ECC_HAM_H 
 
long int hamming_10_encode ( int ); 
long int hamming_15_encode ( int ); 
 
int hamming_10_decode ( long int, int * );
int hamming_15_decode ( long int );
#endif 

