#ifndef _P25_UTIL_SYS_H
#define _P25_UTIL_SYS_H

#define QC_HANDLE int
#define QC_OFFSET int
/** @brief Initialize system. */
int sys_init(const char* tx_spath, const char* rx_spath, const char* fc_spath);
/** @brief Shutdown the system. */
void sys_exit(void);

int mem_read(QC_HANDLE handle, QC_OFFSET offset);
void mem_write(QC_HANDLE handle, QC_OFFSET offset, int value);
int mem_write_check(QC_HANDLE handle, QC_OFFSET offset, int value);

/** @brief Set the carrier frequency of the FM signal. */
int set_fm_fc(double fc); 

int dump_fpga(int select, int rate, char *name);

/** @brief Read data from DSP. */
int read_dsp(void *buf, int len);
/** @brief Write data to DSP. */
int write_dsp(void *buf, int len);

#endif
