#include "p25/util/logger.h"

/**
 * @details
 */
int bi2de(char *bits, int len)
{
	int i, dec = 0;

	ASSERT(len <= 32, "len = %d\n", len);
	for (i = 0; i < len; i++) {
		dec = dec << 1;
		dec |= bits[i] & 0x01;
	}

	return dec;
}

/**
 * details
 */
void de2bi(int dec, char *bits, int len)
{
	int i;

	ASSERT(len <= 32, "len = %d\n", len);
	for (i = len-1; i >= 0; i--) {
		bits[i] = dec & 0x01;
		dec = dec >> 1;
	}
}

/**
 * @details 
 */
int pack_n(char *bits, int * packed, int n, int len)
{
    int i, j, res;

    ASSERT(len%n > 0, "len = %d, n = %d\n",len,n);
    for (i = 0; i < len/n; i++) {
        res = 0;
        for (j = 0; j < n; j++) {
            res = res << 1;
            res |= bits[(i*n)+j] & 0x01;
        }
        packed[i] = res;
    }

    return i;
}

/**
 * @details
 */
void reverse_bits(char *bits, int n)
{
    int i;
    char temp;

    for (i = 0; i < n/2; i++) {
        temp = bits[i];
        bits[i] = bits[n-i-1];
        bits[n-i-1] = temp;
    }
}
