/******************************************************************************
 * DVSI CONFIDENTIAL PROPRIETARY
 ******************************************************************************
 * DVSI AMBE+2 Vocoder
 * (c) Copyright, Digital Voice Systems Inc., 2001, 2002
 * All Rights Reserved
 *
 * DVSI claims certain rights, including patent rights under
 * U.S. Patents #6,199,037 B1, #6,161,089, #5,870,045, #5,826,222,
 * #5,754,974, #5,715,365, #5,701,390, #5,649,050, #5,630,011,
 * #5,247,579, and #5,226,084, and under other U.S. and foreign
 * patents and patents pending, in the AMBE^(TM) speech coding
 * technology embodied in this software.  Any use of this software
 * or technology requires a separate written license from DVSI.
 * 	
 * AMBE is a registered trademark of Digital Voice Systems, Inc.
 * AMBE+ and AMBE+2 are trademarks of Digital Voice Systems, Inc.
 ******************************************************************************
 *****************************************************************************/

#ifndef _PCARGS_H_
#define _PCARGS_H_

struct pc_options_ref {
	short verbose;          /* TRUE = verbose output                */
	short mode;             /* APCO, or APCO_HR                     */
	short rep_mode;         /* APCO, or APCO_HR                     */
	short fec_mode;			/* APCO_FEC_MODE, M7100_FEC_MODE or APCO_HR_FEC_MODE */
	short run_encoder;      /* TRUE = run the encoder               */
	short run_decoder;      /* TRUE = run the decoder               */
	short bit_steal;        /* TRUE = steal 6 bits                  */
	short enc_ws;           /* encoder speech input length          */
	short dec_ws;           /* decoder speech output length         */
	short vad_level;        /* voice detection level in dBm0        */
	short nsprsn_enabled;   /* enable noise suppression? 1=yes 0=no */
	short tone_det_enabled; /* TRUE = tone detection enabled        */
	short tone_on;          /* TRUE = generate a tone               */
	short tone_amp;         /* tone amplitude                       */
 	short tone_index;       /* tone index                           */
	short sd_bits;          /* number of soft decision bits         */
	short sd_dist;          /* soft decision repeat threshold       */
	short hd_errs;          /* hard decision repeat threshold       */
	short dtx;				/* use DTX, specify cni update period	*/
	short cnirate;          /* cni rate                             */
	short pack;				/* pack bits 8 bits per byte    		*/
	short use_fec;          /* TRUE = no fec encode/decode          */
	short fec_only;         /* TRUE no voice encoder or decoder     */
	short agc_on;           /* TRUE = AGC enabled                   */
	short compare;			/* compare output vector	      		*/
	char  *fpi_name;        /* input data file name               	*/
	FILE  *fpi;				/* data input file                    	*/
	char  *fpo_name;        /* output data file name             	*/
	FILE  *fpo;				/* data output file                   	*/
	char  *fpc_name;		/* compare file name		      		*/
	FILE  *fpc;				/* compare file			      			*/
};

#define COMPARE_OFF  0
#define COMPARE_ON   1
#define COMPARE_FAIL 2

typedef struct pc_options_ref PC_OPTIONS;

extern char ambe_usagestr[];

#include "pcargs_p.h"

/*****************************************************************************/
#endif
