#ifndef COMMON_H
#define COMMON_H

#include "consts.h"

struct ambe_options_ref {
	short verbose;          /* TRUE = verbose output                */
	short arm_mode;			/* ARM_NORMAL_MODE or ARM_TEST_MODE		*/
	short run_encoder;      /* TRUE = run the encoder               */
	short run_decoder;      /* TRUE = run the decoder               */
	short mode;             /* APCO, or APCO_HR                     */
	short rep_mode;         /* APCO, or APCO_HR                     */
	short fec_mode;			/* APCO_FEC_MODE, M7100_FEC_MODE or APCO_HR_FEC_MODE */
	short bit_steal;        /* TRUE = steal 6 bits                  */
	short enc_ws;           /* encoder speech input length          */
	short dec_ws;           /* decoder speech output length         */
	short vad_level;        /* voice detection level in dBm0        */
	short nsprsn_enabled;   /* enable noise suppression? 1=yes 0=no */
	short tone_det_enabled; /* TRUE = tone detection enabled        */
	short tone_on;          /* TRUE = generate a tone               */
	short tone_amp;         /* tone amplitude                       */
	short tone_index;       /* tone index                           */
	short sd_bits;          /* number of soft decision bits         */
	short sd_dist;          /* soft decision repeat threshold       */
	short hd_errs;          /* hard decision repeat threshold       */
	short dtx;				/* use DTX, specify cni update period	*/
	short cnirate;          /* cni rate                             */
	short pack;				/* pack bits 8 bits per byte    		*/
	short use_fec;          /* TRUE = no fec encode/decode          */
	short fec_only;         /* TRUE no voice encoder or decoder     */
	short agc_on;           /* TRUE = AGC enabled                   */
	short encryption;       /* TRUE = encryption enabled            */
};

typedef struct ambe_options_ref AMBE_OPTIONS;

#endif //COMMON_H 
