#ifndef LOG_ARM_H
#define LOG_ARM_H

#include <stdio.h>
#include <stdlib.h>

#ifdef _DEBUG

#define DBG(fmt, args...)   do {                    \
    printf("[debug] %s() " fmt, __FUNCTION__, ##args);      \
	fflush(stdout);		\
} while (0)

#else /* _DEBUG */

#define DBG(fmg, args...)
    
#endif

#define ASSERT(cond, fmt, args...) do {                 \
    if (!(cond)) {                          \
        printf("[assert] %s() " fmt, __FUNCTION__, ##args); \
        exit(1);                        \
    }                               \
} while(0)

#define INFO(fmt, args...)                      \
    printf("[info] %s() " fmt, __FUNCTION__, ##args);	\
	fflush(stdout);

#define ERROR(fmt, args...)                     \
    fprintf(stderr, "[error] %s() " fmt, __FUNCTION__, ##args);	\
	fflush(stderr);

#endif //LOG_ARM_H 
