#!/bin/sh

export DEVPATH=$HOME/dev/omap
source $DEVPATH/dsplink/etc/host/scripts/Linux/dsplinkenv.bash
source $DEVPATH/scripts/env.sh
export PATH="$PATH:$DEVPATH/armv7a/bin"

# Build the gpp samples
function do_gpp_compile {
source $DEVPATH/scripts/gpp_env.sh

if [ "$2" == "Debug" -o "$2" == "debug" ]
then
	USR_CC_DEFNS=-D_DEBUG
else
	USR_CC_DEFNS=
fi

cd $1 && make verbose=1 \
	BASE_TOOLCHAIN=$BASE_TOOLCHAIN \
	BASE_CGTOOLS=$BASE_CGTOOLS \
	OSINC_PLATFORM=$OSINC_PLATFORM \
	OSINC_TARGET=$OSINC_TARGET \
	CROSS_COMPILE=$CROSS_COMPILE \
	CC=$CC \
	AR=$AR \
	LS=$LD \
	COMPILER=$COMPILER \
	ARCHIVER=$ARCHIVER \
	KERNEL_DIR=$KERNEL_DIR \
	USR_CC_DEFNS=$USR_CC_DEFNS \
	$2	
}

# Build the dsp samples (debug and release)
function do_dsp_compile {
source $DEVPATH/scripts/dsp_env.sh
cd $1 && make verbose=1 \
	BASE_CGTOOLS=$BASE_CGTOOLS \
	BASE_SABIOS=$BASE_SABIOS \
	XDCTOOLS_DIR=$XDCTOOLS_DIR \
	$2
}


function Usage {
	echo -e "\nUsage: `basename $0` project_path [GPP|DSP] [DEBUG|RELEASE|ALL|CLEAN]\n"
	echo -n
	exit
}

if [ $# -ge 2 ] 
then
	if [ $# -gt 3 ]
	then
		Usage
	else
		PRJ="$1"
		RULE="$3"
		case "$2" in
			"DSP" | "dsp" ) PROC="dsp";;
			"GPP" | "gpp" ) PROC="gpp";;
			* ) Usage; exit;;
		esac 
	fi	
else
	Usage
fi

do_${PROC}_compile ${PRJ} ${RULE}
#do_gpp_compile debug

#do_dsp_compile ${PRJ} ${RULE}
#do_dsp_compile debug
